| Qore Swagger Module Reference 2.2.3

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Swagger::ExternalDocumentationObject Class Reference

Allows referencing an external resource for extended documentation. More...

Inheritance diagram for Swagger::ExternalDocumentationObject:
[legend]

## Public Member Functions
| constructor (hash< auto > oh)
| Constructor.
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash< auto > oh)
| Constructor.
| constructor (ObjectBase other)
| copy constructor
| initialize (hash< auto > oh)
| Initialize.

## Public Attributes
*string | desc
| A short description of the target documentation. GFM syntax can be used for rich text representation.
string | url
| Required. The URL for the target documentation. Value MUST be in the format of a URL.
Public Attributes inherited from Swagger::ObjectBase
hash< auto > | vendorExtensions
| Allows extensions to the Swagger Schema.

## Detailed Description

Allows referencing an external resource for extended documentation.

## Member Function Documentation

## ◆ constructor()

Swagger::ExternalDocumentationObject::constructor | ( | hash< auto > | oh | ) |

Constructor.

Parameters

  oh | deserialized hash from the source schema description providing a reference to external documentation

Exceptions

  INVALID-FIELD-TYPE | field has invalid type
  REQUIRED-FIELD-MISSING | required field is missing